**Source URL:** https://limited.veevavault.dev/sitevault/vault-api/api-reference/25.3/metadata-definition-language-mdl/asynchronous-mdl-requests/cancel-raw-object-deployment

# Cancel Raw Object Deployment

Cancel a deployment of configuration changes to a raw object. To use this endpoint, your raw object `configuration_state` must be `IN_DEPLOYMENT`.

<Endpoint path="/api/{version}/metadata/vobjects/{object_name}/actions/canceldeployment" method="POST" />

## Headers

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters

<FieldTable>
| Name | Description |
| --- | --- |
| `{object_name}` | The name of the object on which to cancel deployment. This object’s `configuration_state` must be `IN_DEPLOYMENT`. |
</FieldTable>

## Request

<CodeExample title="">
```bash
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v21.3/metadata/vobjects/product__c/actions/canceldeployment
```
</CodeExample>

## Response

<CodeExample title="">
```json
{
   "responseStatus": "SUCCESS"
}
```
</CodeExample>

## Response Details

If the deployment is cancelled successfully, the API returns `SUCCESS`.

---

**Previous:** [Retrieve Asynchronous MDL Script Results](/sitevault/vault-api/api-reference/25.3/metadata-definition-language-mdl/asynchronous-mdl-requests/retrieve-asynchronous-mdl-script-results)  
**Next:** [Retrieve All Component Metadata](/sitevault/vault-api/api-reference/25.3/metadata-definition-language-mdl/retrieve-all-component-metadata)